if not AucAdvanced then
	return
end

local folder, core = ...
local Debug = core.Debug
local ENABLE = ENABLE
local pairs = pairs
local IsAddOnLoaded = IsAddOnLoaded
local DEFAULT_CHAT_FRAME = DEFAULT_CHAT_FRAME
local LibStub = LibStub

local Auctioneer = core:NewModule("Auctioneer") --, "AceEvent-3.0", "AceHook-3.0"
local L = LibStub("AceLocale-3.0"):GetLocale(folder, true)

local addonName = "Auc-Advanced"

local LSM = LibStub("LibSharedMedia-3.0", true)
if not LSM then
	return
end

Auctioneer.name = L["Auctioneer"]
Auctioneer.desc = L["Toggle when Auctioneer is finshed scanning."]

--~ local regEvents = {
--~ }

function Auctioneer:OnInitialize()
--~ 	Debug("Auctioneer", "OnInitialize", IsAddOnLoaded(addonName))	
	
	self.db = core.db:RegisterNamespace("Auctioneer", {
		profile = {
			enabled = true,
			sound = "ATT alert",
		},
	})
	
	if not self.db.profile.enabled then
		self:SetEnabledState(false)
	end
end

--~ function Auctioneer:OnEnable()
--~ 	Debug("Auctioneer", "OnEnable", IsAddOnLoaded(addonName))	
--~ end

--~ function Auctioneer:HasOptions()
--~ 	return IsAddOnLoaded("Auc-Advanced")
--~ end

function Auctioneer:GetOptions()
	return {
		name = self.name,
		type = "group",
		get = function(info)
			local key = info[#info]
			return self.db.profile[key]
		end,
		set = function(info, v)
			local key = info[#info]
			self.db.profile[key] = v
		end,
		args = {
			Desc = {
				type = "description",
				name = self.desc,
				order = 1,
			},
			enabled = {
				type = "toggle",	order	= 10,
				name	= ENABLE,
				desc	= L["Enables / Disables the module."],
				set = function(info, v)
					self.db.profile.enabled = v 
					if v == true then
						self:Enable()
					else
						self:Disable()
					end
				end,
				
			},
			sound = {
				type = 'select',	 order	= 11,
				dialogControl = 'LSM30_Sound', --Select your widget here
				values = LSM:HashTable('sound'), -- pull in your font list from LSM
				name = L["Sound"],
				desc = L["Sound to play"],
			},
			aDesc = {
				type = "description",
				name = L["Auctioneer is a addon to help with the auction house. It can be downloaded from AuctioneerAddon.com, Curse.com or WowInterface.com"],
				order = 12,
			},
		}
	}
end



---
local libName = core.title
local libType = "Util"

local lib,parent,private = AucAdvanced.NewModule(libType, libName)
if not lib then return end
--~ local print,decode,_,_,replicate,empty,get,set,default,debugPrint,fill = AucAdvanced.GetModuleLocals()

function lib.GetName()
	return libName
end

function lib.Processor(callbackType, ...)
	if Auctioneer:IsEnabled() and callbackType == "scanfinish" then
		core:ToggleGame(Auctioneer.name, LSM:Fetch('sound', Auctioneer.db.profile.sound) )
	end
--~ 	Debug(callbackType, Auctioneer:IsEnabled())
end